Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Functions
H5VLconnector_passthru.h File Reference
`#include "H5public.h"`
`#include "H5Ipublic.h"`
`#include "H5VLpublic.h"`
`#include "H5VLconnector.h"`

## Functions
herr_t | H5VLattr_close (void *attr, hid_t connector_id, hid_t dxpl_id, void **req)
void * | H5VLattr_create (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, const char *attr_name, hid_t type_id, hid_t space_id, hid_t acpl_id, hid_t aapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLattr_get (void *obj, hid_t connector_id, H5VL_attr_get_args_t *args, hid_t dxpl_id, void **req)
void * | H5VLattr_open (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, const char *name, hid_t aapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLattr_optional (void *obj, hid_t connector_id, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLattr_read (void *attr, hid_t connector_id, hid_t dtype_id, void *buf, hid_t dxpl_id, void **req)
herr_t | H5VLattr_specific (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, H5VL_attr_specific_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLattr_write (void *attr, hid_t connector_id, hid_t dtype_id, const void *buf, hid_t dxpl_id, void **req)
herr_t | H5VLblob_get (void *obj, hid_t connector_id, const void *blob_id, void *buf, size_t size, void *ctx)
herr_t | H5VLblob_optional (void *obj, hid_t connector_id, void *blob_id, H5VL_optional_args_t *args)
herr_t | H5VLblob_put (void *obj, hid_t connector_id, const void *buf, size_t size, void *blob_id, void *ctx)
herr_t | H5VLblob_specific (void *obj, hid_t connector_id, void *blob_id, H5VL_blob_specific_args_t *args)
herr_t | H5VLclose_lib_context (void *context)
| Closes the internal state of the HDF5 library.
herr_t | H5VLcmp_connector_cls (int *cmp, hid_t connector_id1, hid_t connector_id2)
herr_t | H5VLcmp_connector_info (int *cmp, hid_t connector_id, const void *info1, const void *info2)
herr_t | H5VLconnector_info_to_str (const void *info, hid_t connector_id, char **str)
herr_t | H5VLconnector_str_to_info (const char *str, hid_t connector_id, void **info)
herr_t | H5VLcopy_connector_info (hid_t connector_id, void **dst_vol_info, void *src_vol_info)
herr_t | H5VLdataset_close (void *dset, hid_t connector_id, hid_t dxpl_id, void **req)
void * | H5VLdataset_create (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, const char *name, hid_t lcpl_id, hid_t type_id, hid_t space_id, hid_t dcpl_id, hid_t dapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLdataset_get (void *dset, hid_t connector_id, H5VL_dataset_get_args_t *args, hid_t dxpl_id, void **req)
void * | H5VLdataset_open (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, const char *name, hid_t dapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLdataset_optional (void *obj, hid_t connector_id, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLdataset_read (size_t count, void *dset[], hid_t connector_id, hid_t mem_type_id[], hid_t mem_space_id[], hid_t file_space_id[], hid_t plist_id, void *buf[], void **req)
herr_t | H5VLdataset_specific (void *obj, hid_t connector_id, H5VL_dataset_specific_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLdataset_write (size_t count, void *dset[], hid_t connector_id, hid_t mem_type_id[], hid_t mem_space_id[], hid_t file_space_id[], hid_t plist_id, const void *buf[], void **req)
herr_t | H5VLdatatype_close (void *dt, hid_t connector_id, hid_t dxpl_id, void **req)
void * | H5VLdatatype_commit (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, const char *name, hid_t type_id, hid_t lcpl_id, hid_t tcpl_id, hid_t tapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLdatatype_get (void *dt, hid_t connector_id, H5VL_datatype_get_args_t *args, hid_t dxpl_id, void **req)
void * | H5VLdatatype_open (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, const char *name, hid_t tapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLdatatype_optional (void *obj, hid_t connector_id, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLdatatype_specific (void *obj, hid_t connector_id, H5VL_datatype_specific_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLfile_close (void *file, hid_t connector_id, hid_t dxpl_id, void **req)
void * | H5VLfile_create (const char *name, unsigned flags, hid_t fcpl_id, hid_t fapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLfile_get (void *file, hid_t connector_id, H5VL_file_get_args_t *args, hid_t dxpl_id, void **req)
void * | H5VLfile_open (const char *name, unsigned flags, hid_t fapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLfile_optional (void *obj, hid_t connector_id, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLfile_specific (void *obj, hid_t connector_id, H5VL_file_specific_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLfree_connector_info (hid_t connector_id, void *vol_info)
herr_t | H5VLfree_lib_state (void *state)
herr_t | H5VLfree_wrap_ctx (void *wrap_ctx, hid_t connector_id)
herr_t | H5VLget_cap_flags (hid_t connector_id, uint64_t *cap_flags)
void * | H5VLget_object (void *obj, hid_t connector_id)
herr_t | H5VLget_value (hid_t connector_id, H5VL_class_value_t *conn_value)
herr_t | H5VLget_wrap_ctx (void *obj, hid_t connector_id, void **wrap_ctx)
herr_t | H5VLgroup_close (void *grp, hid_t connector_id, hid_t dxpl_id, void **req)
void * | H5VLgroup_create (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, const char *name, hid_t lcpl_id, hid_t gcpl_id, hid_t gapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLgroup_get (void *obj, hid_t connector_id, H5VL_group_get_args_t *args, hid_t dxpl_id, void **req)
void * | H5VLgroup_open (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, const char *name, hid_t gapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLgroup_optional (void *obj, hid_t connector_id, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLgroup_specific (void *obj, hid_t connector_id, H5VL_group_specific_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLinitialize (hid_t connector_id, hid_t vipl_id)
herr_t | H5VLintrospect_get_cap_flags (const void *info, hid_t connector_id, uint64_t *cap_flags)
herr_t | H5VLintrospect_get_conn_cls (void *obj, hid_t connector_id, H5VL_get_conn_lvl_t lvl, const H5VL_class_t **conn_cls)
herr_t | H5VLintrospect_opt_query (void *obj, hid_t connector_id, H5VL_subclass_t subcls, int opt_type, uint64_t *flags)
herr_t | H5VLlink_copy (void *src_obj, const H5VL_loc_params_t *loc_params1, void *dst_obj, const H5VL_loc_params_t *loc_params2, hid_t connector_id, hid_t lcpl_id, hid_t lapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLlink_create (H5VL_link_create_args_t *args, void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, hid_t lcpl_id, hid_t lapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLlink_get (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, H5VL_link_get_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLlink_move (void *src_obj, const H5VL_loc_params_t *loc_params1, void *dst_obj, const H5VL_loc_params_t *loc_params2, hid_t connector_id, hid_t lcpl_id, hid_t lapl_id, hid_t dxpl_id, void **req)
herr_t | H5VLlink_optional (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLlink_specific (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, H5VL_link_specific_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLobject_copy (void *src_obj, const H5VL_loc_params_t *loc_params1, const char *src_name, void *dst_obj, const H5VL_loc_params_t *loc_params2, const char *dst_name, hid_t connector_id, hid_t ocpypl_id, hid_t lcpl_id, hid_t dxpl_id, void **req)
herr_t | H5VLobject_get (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, H5VL_object_get_args_t *args, hid_t dxpl_id, void **req)
void * | H5VLobject_open (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, H5I_type_t *opened_type, hid_t dxpl_id, void **req)
herr_t | H5VLobject_optional (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLobject_specific (void *obj, const H5VL_loc_params_t *loc_params, hid_t connector_id, H5VL_object_specific_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLopen_lib_context (void **context)
| Opens a new internal context for the HDF5 library.
herr_t | H5VLoptional (void *obj, hid_t connector_id, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t | H5VLrequest_cancel (void *req, hid_t connector_id, H5VL_request_status_t *status)
herr_t | H5VLrequest_free (void *req, hid_t connector_id)
herr_t | H5VLrequest_notify (void *req, hid_t connector_id, H5VL_request_notify_t cb, void *ctx)
herr_t | H5VLrequest_optional (void *req, hid_t connector_id, H5VL_optional_args_t *args)
herr_t | H5VLrequest_specific (void *req, hid_t connector_id, H5VL_request_specific_args_t *args)
herr_t | H5VLrequest_wait (void *req, hid_t connector_id, uint64_t timeout, H5VL_request_status_t *status)
herr_t | H5VLrestore_lib_state (const void *state)
herr_t | H5VLretrieve_lib_state (void **state)
herr_t | H5VLterminate (hid_t connector_id)
herr_t | H5VLtoken_cmp (void *obj, hid_t connector_id, const H5O_token_t *token1, const H5O_token_t *token2, int *cmp_value)
herr_t | H5VLtoken_from_str (void *obj, H5I_type_t obj_type, hid_t connector_id, const char *token_str, H5O_token_t *token)
herr_t | H5VLtoken_to_str (void *obj, H5I_type_t obj_type, hid_t connector_id, const H5O_token_t *token, char **token_str)
void * | H5VLunwrap_object (void *obj, hid_t connector_id)
void * | H5VLwrap_object (void *obj, H5I_type_t obj_type, hid_t connector_id, void *wrap_ctx)
hid_t | H5VLwrap_register (void *obj, H5I_type_t type)
| Wrap an internal object with a "wrap context" and register an hid_t for the resulting object.

## Function Documentation

## ◆ H5VLattr_close()

herr_t H5VLattr_close | ( | void * | attr,
|  | hid_t | connector_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLattr_create()

void * H5VLattr_create | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | const char * | attr_name,
|  | hid_t | type_id,
|  | hid_t | space_id,
|  | hid_t | acpl_id,
|  | hid_t | aapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLattr_get()

herr_t H5VLattr_get | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_attr_get_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLattr_open()

void * H5VLattr_open | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | const char * | name,
|  | hid_t | aapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLattr_optional()

herr_t H5VLattr_optional | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLattr_read()

herr_t H5VLattr_read | ( | void * | attr,
|  | hid_t | connector_id,
|  | hid_t | dtype_id,
|  | void * | buf,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLattr_specific()

herr_t H5VLattr_specific | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | H5VL_attr_specific_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLattr_write()

herr_t H5VLattr_write | ( | void * | attr,
|  | hid_t | connector_id,
|  | hid_t | dtype_id,
|  | const void * | buf,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLblob_get()

herr_t H5VLblob_get | ( | void * | obj,
|  | hid_t | connector_id,
|  | const void * | blob_id,
|  | void * | buf,
|  | size_t | size,
|  | void * | ctx )

## ◆ H5VLblob_optional()

herr_t H5VLblob_optional | ( | void * | obj,
|  | hid_t | connector_id,
|  | void * | blob_id,
|  | H5VL_optional_args_t * | args )

## ◆ H5VLblob_put()

herr_t H5VLblob_put | ( | void * | obj,
|  | hid_t | connector_id,
|  | const void * | buf,
|  | size_t | size,
|  | void * | blob_id,
|  | void * | ctx )

## ◆ H5VLblob_specific()

herr_t H5VLblob_specific | ( | void * | obj,
|  | hid_t | connector_id,
|  | void * | blob_id,
|  | H5VL_blob_specific_args_t * | args )

## ◆ H5VLcmp_connector_cls()

herr_t H5VLcmp_connector_cls | ( | int * | cmp,
|  | hid_t | connector_id1,
|  | hid_t | connector_id2 )

## ◆ H5VLcmp_connector_info()

herr_t H5VLcmp_connector_info | ( | int * | cmp,
|  | hid_t | connector_id,
|  | const void * | info1,
|  | const void * | info2 )

## ◆ H5VLconnector_info_to_str()

herr_t H5VLconnector_info_to_str | ( | const void * | info,
|  | hid_t | connector_id,
|  | char ** | str )

## ◆ H5VLconnector_str_to_info()

herr_t H5VLconnector_str_to_info | ( | const char * | str,
|  | hid_t | connector_id,
|  | void ** | info )

## ◆ H5VLcopy_connector_info()

herr_t H5VLcopy_connector_info | ( | hid_t | connector_id,
|  | void ** | dst_vol_info,
|  | void * | src_vol_info )

## ◆ H5VLdataset_close()

herr_t H5VLdataset_close | ( | void * | dset,
|  | hid_t | connector_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdataset_create()

void * H5VLdataset_create | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | const char * | name,
|  | hid_t | lcpl_id,
|  | hid_t | type_id,
|  | hid_t | space_id,
|  | hid_t | dcpl_id,
|  | hid_t | dapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdataset_get()

herr_t H5VLdataset_get | ( | void * | dset,
|  | hid_t | connector_id,
|  | H5VL_dataset_get_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdataset_open()

void * H5VLdataset_open | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | const char * | name,
|  | hid_t | dapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdataset_optional()

herr_t H5VLdataset_optional | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdataset_read()

herr_t H5VLdataset_read | ( | size_t | count,
|  | void * | dset[],
|  | hid_t | connector_id,
|  | hid_t | mem_type_id[],
|  | hid_t | mem_space_id[],
|  | hid_t | file_space_id[],
|  | hid_t | plist_id,
|  | void * | buf[],
|  | void ** | req )

## ◆ H5VLdataset_specific()

herr_t H5VLdataset_specific | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_dataset_specific_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdataset_write()

herr_t H5VLdataset_write | ( | size_t | count,
|  | void * | dset[],
|  | hid_t | connector_id,
|  | hid_t | mem_type_id[],
|  | hid_t | mem_space_id[],
|  | hid_t | file_space_id[],
|  | hid_t | plist_id,
|  | const void * | buf[],
|  | void ** | req )

## ◆ H5VLdatatype_close()

herr_t H5VLdatatype_close | ( | void * | dt,
|  | hid_t | connector_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdatatype_commit()

void * H5VLdatatype_commit | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | const char * | name,
|  | hid_t | type_id,
|  | hid_t | lcpl_id,
|  | hid_t | tcpl_id,
|  | hid_t | tapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdatatype_get()

herr_t H5VLdatatype_get | ( | void * | dt,
|  | hid_t | connector_id,
|  | H5VL_datatype_get_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdatatype_open()

void * H5VLdatatype_open | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | const char * | name,
|  | hid_t | tapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdatatype_optional()

herr_t H5VLdatatype_optional | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLdatatype_specific()

herr_t H5VLdatatype_specific | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_datatype_specific_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLfile_close()

herr_t H5VLfile_close | ( | void * | file,
|  | hid_t | connector_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLfile_create()

void * H5VLfile_create | ( | const char * | name,
|  | unsigned | flags,
|  | hid_t | fcpl_id,
|  | hid_t | fapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLfile_get()

herr_t H5VLfile_get | ( | void * | file,
|  | hid_t | connector_id,
|  | H5VL_file_get_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLfile_open()

void * H5VLfile_open | ( | const char * | name,
|  | unsigned | flags,
|  | hid_t | fapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLfile_optional()

herr_t H5VLfile_optional | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLfile_specific()

herr_t H5VLfile_specific | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_file_specific_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLfree_connector_info()

herr_t H5VLfree_connector_info | ( | hid_t | connector_id,
|  | void * | vol_info )

## ◆ H5VLfree_lib_state()

herr_t H5VLfree_lib_state | ( | void * | state | ) |

## ◆ H5VLfree_wrap_ctx()

herr_t H5VLfree_wrap_ctx | ( | void * | wrap_ctx,
|  | hid_t | connector_id )

## ◆ H5VLget_cap_flags()

herr_t H5VLget_cap_flags | ( | hid_t | connector_id,
|  | uint64_t * | cap_flags )

## ◆ H5VLget_object()

void * H5VLget_object | ( | void * | obj,
|  | hid_t | connector_id )

## ◆ H5VLget_value()

herr_t H5VLget_value | ( | hid_t | connector_id,
|  | H5VL_class_value_t * | conn_value )

## ◆ H5VLget_wrap_ctx()

herr_t H5VLget_wrap_ctx | ( | void * | obj,
|  | hid_t | connector_id,
|  | void ** | wrap_ctx )

## ◆ H5VLgroup_close()

herr_t H5VLgroup_close | ( | void * | grp,
|  | hid_t | connector_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLgroup_create()

void * H5VLgroup_create | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | const char * | name,
|  | hid_t | lcpl_id,
|  | hid_t | gcpl_id,
|  | hid_t | gapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLgroup_get()

herr_t H5VLgroup_get | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_group_get_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLgroup_open()

void * H5VLgroup_open | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | const char * | name,
|  | hid_t | gapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLgroup_optional()

herr_t H5VLgroup_optional | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLgroup_specific()

herr_t H5VLgroup_specific | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_group_specific_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLinitialize()

herr_t H5VLinitialize | ( | hid_t | connector_id,
|  | hid_t | vipl_id )

## ◆ H5VLintrospect_get_cap_flags()

herr_t H5VLintrospect_get_cap_flags | ( | const void * | info,
|  | hid_t | connector_id,
|  | uint64_t * | cap_flags )

## ◆ H5VLintrospect_get_conn_cls()

herr_t H5VLintrospect_get_conn_cls | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_get_conn_lvl_t | lvl,
|  | const H5VL_class_t ** | conn_cls )

## ◆ H5VLintrospect_opt_query()

herr_t H5VLintrospect_opt_query | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_subclass_t | subcls,
|  | int | opt_type,
|  | uint64_t * | flags )

## ◆ H5VLlink_copy()

herr_t H5VLlink_copy | ( | void * | src_obj,
|  | const H5VL_loc_params_t * | loc_params1,
|  | void * | dst_obj,
|  | const H5VL_loc_params_t * | loc_params2,
|  | hid_t | connector_id,
|  | hid_t | lcpl_id,
|  | hid_t | lapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLlink_create()

herr_t H5VLlink_create | ( | H5VL_link_create_args_t * | args,
|  | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | hid_t | lcpl_id,
|  | hid_t | lapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLlink_get()

herr_t H5VLlink_get | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | H5VL_link_get_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLlink_move()

herr_t H5VLlink_move | ( | void * | src_obj,
|  | const H5VL_loc_params_t * | loc_params1,
|  | void * | dst_obj,
|  | const H5VL_loc_params_t * | loc_params2,
|  | hid_t | connector_id,
|  | hid_t | lcpl_id,
|  | hid_t | lapl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLlink_optional()

herr_t H5VLlink_optional | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLlink_specific()

herr_t H5VLlink_specific | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | H5VL_link_specific_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLobject_copy()

herr_t H5VLobject_copy | ( | void * | src_obj,
|  | const H5VL_loc_params_t * | loc_params1,
|  | const char * | src_name,
|  | void * | dst_obj,
|  | const H5VL_loc_params_t * | loc_params2,
|  | const char * | dst_name,
|  | hid_t | connector_id,
|  | hid_t | ocpypl_id,
|  | hid_t | lcpl_id,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLobject_get()

herr_t H5VLobject_get | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | H5VL_object_get_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLobject_open()

void * H5VLobject_open | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | H5I_type_t * | opened_type,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLobject_optional()

herr_t H5VLobject_optional | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLobject_specific()

herr_t H5VLobject_specific | ( | void * | obj,
|  | const H5VL_loc_params_t * | loc_params,
|  | hid_t | connector_id,
|  | H5VL_object_specific_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLoptional()

herr_t H5VLoptional | ( | void * | obj,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args,
|  | hid_t | dxpl_id,
|  | void ** | req )

## ◆ H5VLrequest_cancel()

herr_t H5VLrequest_cancel | ( | void * | req,
|  | hid_t | connector_id,
|  | H5VL_request_status_t * | status )

## ◆ H5VLrequest_free()

herr_t H5VLrequest_free | ( | void * | req,
|  | hid_t | connector_id )

## ◆ H5VLrequest_notify()

herr_t H5VLrequest_notify | ( | void * | req,
|  | hid_t | connector_id,
|  | H5VL_request_notify_t | cb,
|  | void * | ctx )

## ◆ H5VLrequest_optional()

herr_t H5VLrequest_optional | ( | void * | req,
|  | hid_t | connector_id,
|  | H5VL_optional_args_t * | args )

## ◆ H5VLrequest_specific()

herr_t H5VLrequest_specific | ( | void * | req,
|  | hid_t | connector_id,
|  | H5VL_request_specific_args_t * | args )

## ◆ H5VLrequest_wait()

herr_t H5VLrequest_wait | ( | void * | req,
|  | hid_t | connector_id,
|  | uint64_t | timeout,
|  | H5VL_request_status_t * | status )

## ◆ H5VLrestore_lib_state()

herr_t H5VLrestore_lib_state | ( | const void * | state | ) |

## ◆ H5VLretrieve_lib_state()

herr_t H5VLretrieve_lib_state | ( | void ** | state | ) |

## ◆ H5VLterminate()

herr_t H5VLterminate | ( | hid_t | connector_id | ) |

## ◆ H5VLtoken_cmp()

herr_t H5VLtoken_cmp | ( | void * | obj,
|  | hid_t | connector_id,
|  | const H5O_token_t * | token1,
|  | const H5O_token_t * | token2,
|  | int * | cmp_value )

## ◆ H5VLtoken_from_str()

herr_t H5VLtoken_from_str | ( | void * | obj,
|  | H5I_type_t | obj_type,
|  | hid_t | connector_id,
|  | const char * | token_str,
|  | H5O_token_t * | token )

## ◆ H5VLtoken_to_str()

herr_t H5VLtoken_to_str | ( | void * | obj,
|  | H5I_type_t | obj_type,
|  | hid_t | connector_id,
|  | const H5O_token_t * | token,
|  | char ** | token_str )

## ◆ H5VLunwrap_object()

void * H5VLunwrap_object | ( | void * | obj,
|  | hid_t | connector_id )

## ◆ H5VLwrap_object()

void * H5VLwrap_object | ( | void * | obj,
|  | H5I_type_t | obj_type,
|  | hid_t | connector_id,
|  | void * | wrap_ctx )